/* jshint node:true, expr:true */
'use strict';

module.exports = {
    /**
     * Wrapper class that can be used to test lambda functions.
     */
    LambdaWrapper: require('./lambda-wrapper'),

    /**
     * Helper class that can be used to generate aws lambda contexts.
     */
    LambdaContext: require('./lambda-context'),

    /**
     * Helper class that can be used to clean up records created in dynamodb
     * during testing.
     */
    DynamoDbHelper: require('./dynamodb-helper'),

    /**
     * Helper class that allows generation of mock objects for the AWS
     * SDK.
     */
    AwsSdkMockBuilder: require('./aws-sdk-mock-builder')
}
